/* Savannah theme.
 *
 * Copyright (C) 1999, 2000 The SourceForge Crew
 * Copyright (C) 2000-2006 Mathieu Roy <yeupou--gnu.org>
 * Copyright (C) 2000-2006 Stéphane Urbanovski <s.urbanovski--ac-nancy-metz.fr>
 * Copyright (C) 2014, 2016, 2017 Assaf Gordon
 * Copyright (C) 2001-2011, 2013, 2017 Sylvain Beucler <beuc--beuc.net>
 * Copyright (C) 2013, 2014, 2017-2025 Ineiev
 *
 * This file is part of Savane.
 *
 * Code written before 2008-03-30 (commit 8b757b2565ff) is distributed
 * under the terms of the GNU General Public license version 3 or (at your
 * option) any later version; further contributions are covered by
 * the GNU Affero General Public license version 3 or (at your option)
 * any later version.  The license notices for the AGPL and the GPL follow.
 *
 * Savane is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * Savane is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 * Savane is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * Savane is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 * For debugging/development of css, setting network.http.use-cache to
 * false was apparently both necessary and sufficient --karl, 23jan15.  */

/* GUIDELINES VERSION FOLLOWED: 1.18 */

@import "internal/base.css";

/* Very basic (mostly text) items: */

body {
  margin-top: 0;
  margin-left: 0;
  margin-right: 0;
  margin-bottom: 0;
  color: black;
/*  background-color: #ffe4b7; */
/*  background-color: #eae3d7; */
  background-color: #ffffff;
}

a { text-decoration: underline; color: #641212;}
a:hover { text-decoration: none; color: #c40f0f; }
a:active { color: #ff0000; }

.unavailable { color: #905050; }
.unavailable:hover { color: #B07070; }

.footer {
 color: #333333;
/*  background-color: #CCBB88; */
 background-color: #ffe4b7;
 text-align: center;
/*  border: solid #998855; */
 border: solid #e0c080;
 border-width: 0 thin thin 0;
 margin-left: 1%;
 margin-right: 1%;
}
.warn { color: #aa2200; }
.error { font-weight: bold; color: #aa2200; }


/* Titles */

/* <h1> Page title */
h1 {
	text-indent: 0.3em;
}
/* <h2> Section title */
h2 {
	text-indent: 1em;
	border-bottom: thin solid #e0c080;
	background-color: #fff0d0;
}
/* <h3> Small section title */
/* <h4> Input form label */
h4 {
	font-weight: normal;
	background-color: #fff7ea;
	border: #ffe4b2 solid thin;
}

.highlight  {
	background-color: #ffe0db;
	border-left: thin dotted #e0c080;
	border-right: thin dotted #e0c080;
	border-bottom: thin dotted #e0c080;
	color: #333333;
}

/**********************************************************************
 *
 * Alignment, main tables
 *
 **********************************************************************/

.realbody {
	border-spacing: 0px;
	border: none;
}

.main {
	background-color: #ffffff;
	padding-top: 10px;
	padding-left: 1%;
	padding-right: 0;
	margin-left: 160px;
	margin-right: 0;
        width: auto;
}


/* Our users and I don't like fixed feedback:
	yeupou, 2006-09-20:
	But we shan't deliver a theme upstream that breaks savane behavior
	It is now possible to configure savane to have a non-fixed menu.
	However, if a site-specific CSS still want to have a non-standard
	behavior, I think this CSS should no longer be distributed along
	with Savane (which is not really an issue).
	For instance, we can rename this theme OldSavannah and you'll be
	free to have another brand new Savannah theme tuned as you want
	on your site.


.feedback {
	position: relative;
	top: 0;
	right: 0;
	bottom: 0;
	left: 0;
}
.feedbackerror {
	position: relative;
	top: 0;
	right: 0;
	bottom: 0;
	left: 0;
}
.feedbackerrorandsuccess {
	position: relative;
	top: 0;
	right: 0;
	bottom: 0;
	left: 0;
}
.feedbackback {
	position: relative;
	top: 0;
	right: 0;
	bottom: 0;
	left: 0;
}
*/



/**********************************************************************
 *
 * Menus
 *
 **********************************************************************/

.menu {
 background-color: #ffe4b7;
 width: 150px;
 padding: 5px;
/*  border: thin dotted #e0c080; */
}

.menu a { text-decoration: none; color: #641212;}
.menu a:hover { text-decoration: underline; color: #c40f0f; }
.menu a:active { color: #ff0000; }


.menutitle {
	font-weight: bold;
	text-align: left;
	color: #333333;
	border-bottom: thin dotted #e0c080;
}

.menuitem {
	list-style-type: none;
	text-align: right;
	color: #333333;
	border-bottom: thin dotted #e0c080;
	padding-right : 3%;
}

.topmenu {
	background-color: #f9e4a2;
/* This is breaking the layout
#	margin-left: 20px;
	margin-left: 0;
	margin-right: 0;
 */
	border-left: thin solid #000000;
	border-top: thin solid #000000;
	border-bottom: thin solid #000000;
	border-right: none;
	width: auto;
}

.topmenuitem {
	border: none;
	padding-left: 15%;
}


.topmenutitle {
	font-style: italic;
}


ul.topmenuitemsubmenu li {
	background-color: #ffeecc;
	border: 1px dotted #E0C080;
}

li.topmenuitemsubmenu:hover {
	text-decoration: underline;
}

/* we cannot keep it in bold, it makes an extra space with some konqueror
  version (RHEL) */
.tabselect { text-decoration: underline; color: #000000; /* font-weight: bold; */ }
.tabselect:hover { text-decoration: underline; /* font-weight: bold; */ }

/**********************************************************************
 *
 * Boxes
 *
 **********************************************************************/

.box {
	width: 98%;
	margin-left: 1%;
	margin-right: 1%;
}

.boxtitle  {
	background-image: url("../images/Savannah.theme/leopard.png");
	background-color: #eddb5a;
	border: thin outset #641212;
	color: #000000;
}

.boxitem  {
	background-color: #fffbed;
	border-left: thin dotted #e0c080;
	border-right: thin dotted #e0c080;
	border-bottom: thin dotted #e0c080;
	color: #333333;
	padding: 1%;
}

.boxitem a { text-decoration: none; color: #641212;}
.boxitem a:hover { text-decoration: underline; color: #c40f0f; }
.boxitem a:active { color: #ff0000; }

.boxitemalt  {
	background-color: #ffeecc;
	border-left: thin dotted #e0c080;
	border-right: thin dotted #e0c080;
	border-bottom: thin dotted #e0c080;
	color: #333333;
	padding: 1%;
}

.boxitemalt a { text-decoration: none; color: #641212;}
.boxitemalt a:hover { text-decoration: underline; color: #c40f0f; }
.boxitemalt a:active { color: #ff0000; }

.boxhighlight  {
	background-color: #ffe0db;
	border-left: thin dotted #e0c080;
	border-right: thin dotted #e0c080;
	border-bottom: thin dotted #e0c080;
	color: #333333;
}

.boxoptions  {
	background-color: #ffeecc;
	border: thin dotted #e0c080;
	color: #333333;
}


/* Forms */
button,input
{
  background-color: #fff9e0;
  color: #841212;
}
button:hover,input:hover
{
  color: #ff0000;
}
select {
	background-color: #fff9e0;
	color: #841212;
}

textarea {
	background-color: #fff9e0;
	color: #000000;
}

div.inputfield {
	margin:	10px 1px 10px 1px;
}

/* text before inputs */
.preinput {
	color: #727272;
	font-style: italic;
}

.verbatim
{
  border: thin solid #E5E297;
  background-color: #FFFCA8;
  color: black;
  font-family: monospace;
}

.boxitemextra {
	text-align: right;
	font-size: smaller;
	vertical-align: top;
}

.boxitemaltextra {
	text-align: right;
	font-size: smaller;
	vertical-align: top;
}

.boxhighlightextra {
	text-align: right;
	font-size: smaller;
	vertical-align: top;
}
